package com.sw.mes.yb.seed.enums;

/**
 * @Description 入库单状态
 * @Author wupeng
 * @Date 2023/7/26 18:59
 **/

public enum InputBillStatusEnum {

    待入库(0, "待入库"),

    已入库(1, "已入库"),

    已取消(2, "已取消"),

    拒收(3, "拒收"),

    待审核(4, "待审核"),

    待出库(5, "待出库"),
    籽晶入库(100,"籽晶入库"),
    毛棒入库(101,"毛棒入库"),
    截断入库(102,"截断入库"),
    开方入库(103,"开方入库");


    private Integer key;

    private String value;

    InputBillStatusEnum(Integer key, String value) {
        this.key = key;
        this.value = value;
    }

    public Integer getKey() {
        return key;
    }

    public void setKey(Integer key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
